=== debian/changelog ===
ros-r2b2-rclpy (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Esteve Fernandez <esteve@osrfoundation.org>  Sat, 01 Jul 2017 05:53:36 -0000
