=== debian/control ===
Source: ros-r2b2-rclpy
Section: misc
Priority: extra
Maintainer: Esteve Fernandez <esteve@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-cmake, ros-r2b2-ament-cmake-nose, ros-r2b2-ament-lint-auto, ros-r2b2-ament-lint-common, ros-r2b2-python-cmake-module, ros-r2b2-rcl, ros-r2b2-rcl-interfaces, ros-r2b2-rcutils, ros-r2b2-rmw-implementation, ros-r2b2-rmw-implementation-cmake, ros-r2b2-rosidl-generator-py, ros-r2b2-std-msgs, ros-r2b2-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b2-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b2-ament-index-python, ros-r2b2-rcl, ros-r2b2-rmw-implementation, ros-r2b2-ros-workspace
Description: Package containing the Python client.
